/*
 * Copyright (C) 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

syntax = "proto2";

package android.os.statsd.placeholder;

import "frameworks/proto_logging/stats/atoms.proto";
import "frameworks/proto_logging/stats/atom_field_options.proto";
import "frameworks/proto_logging/stats/attribution_node.proto";

// This file contains sample extension atoms for reference.

extend Atom {
    optional Atom9999 atom_9999 = 9999 [(module) = "placeholder"];

    optional Atom99999 atom_99999 = 99999 [(module) = "placeholder"];
}

message Atom9999 {
    repeated AttributionNode attribution_node = 1;
    optional int32 uid = 2 [(is_uid) = true];
    optional int64 latency_millis = 3;

    enum State {
        UNKNOWN = 0;
        OFF = 1;
        ON = 2;
    }
    optional State state = 4;

    optional string label = 5;
}

message Atom99999 {
    optional string label = 1;
}

